summaryrefslogtreecommitdiffstats
path: root/source/l/libxml2/libxml2.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2023-12-10 01:12:17 +0000
committer Eric Hameleers <alien@slackware.com>2023-12-10 02:58:55 +0100
commit48a597699d66820c0bd3755087ede52100d5becc (patch)
tree0a68ef0f5214d3469e96283aed283b1095c0f39c /source/l/libxml2/libxml2.SlackBuild
parent4f2f8fa3a5c832eb964c3e46084a072ecc592aa4 (diff)
downloadcurrent-48a597699d66820c0bd3755087ede52100d5becc.tar.gz
current-48a597699d66820c0bd3755087ede52100d5becc.tar.xz
Sun Dec 10 01:12:17 UTC 202320231210011217
l/libxml2-2.12.2-x86_64-2.txz: Rebuilt. Add --sysconfdir=/etc option so that this can find the xml catalog. Thanks to SpiderTux. Fix the following security issues: Fix integer overflows with XML_PARSE_HUGE. Fix dict corruption caused by entity reference cycles. Hashing of empty dict strings isn't deterministic. Fix null deref in xmlSchemaFixupComplexType. For more information, see: https://www.cve.org/CVERecord?id=CVE-2022-40303 https://www.cve.org/CVERecord?id=CVE-2022-40304 https://www.cve.org/CVERecord?id=CVE-2023-29469 https://www.cve.org/CVERecord?id=CVE-2023-28484 (* Security fix *)
Diffstat (limited to 'source/l/libxml2/libxml2.SlackBuild')
-rwxr-xr-xsource/l/libxml2/libxml2.SlackBuild45
1 files changed, 27 insertions, 18 deletions
diff --git a/source/l/libxml2/libxml2.SlackBuild b/source/l/libxml2/libxml2.SlackBuild
index b7a49084e..79b5bab02 100755
--- a/source/l/libxml2/libxml2.SlackBuild
+++ b/source/l/libxml2/libxml2.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2018, 2022 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2018, 2022, 2023 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libxml2
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -60,7 +60,7 @@ else
LIBDIRSUFFIX=""
fi
-PYTHONLIB=$( python -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' )
+PYTHONLIB=$( python2 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' )
PYTHON3LIB=$( python3 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' )
TMP=${TMP:-/tmp}
@@ -79,14 +79,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-zcat $CWD/libxml2.do-not-check-crc.diff.gz | patch -p1 --verbose || exit 1
-zcat $CWD/libxml2.python3-unicode-errors.patch.gz | patch -p1 --verbose || exit 1
-
-# Fixes for python-3.9.x:
-sed -i '/if Py/{s/Py/(Py/;s/)/))/}' python/{types.c,libxml.c}
-sed -i '/_PyVerify_fd/,+1d' python/types.c
-sed -i 's/test.test/#&/' python/tests/tstLastError.py
-
if [ ! -r configure ]; then
if [ -x ./autogen.sh ]; then
NOCONFIGURE=1 ./autogen.sh
@@ -94,39 +86,57 @@ if [ ! -r configure ]; then
autoreconf -vif
fi
fi
+
+# Build for python2, for now...
+
+PYTHON=/usr/bin/python2 \
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --sysconfdir=/etc \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
--docdir=/usr/doc/$PKGNAM-$VERSION \
--disable-static \
- --with-python=/usr/bin/python3 \
+ --with-python \
--build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
-python3 -m compileall "${PKG}$PYTHON3LIB"
-python3 -O -m compileall "${PKG}$PYTHON3LIB"
+python2 -m compileall "${PKG}$PYTHONLIB"
+python2 -O -m compileall "${PKG}$PYTHONLIB"
make clean
+# Next build for python3...
+
+## Fixes for python-3.9.x:
+#sed -i '/if Py/{s/Py/(Py/;s/)/))/}' python/{types.c,libxml.c}
+#sed -i '/_PyVerify_fd/,+1d' python/types.c
+#sed -i 's/test.test/#&/' python/tests/tstLastError.py
+
+# Patch from openSUSE.
+# See: https://bugzilla.gnome.org/show_bug.cgi?id=789714
+cat $CWD/libxml2-2.12.0-python3-unicode-errors.patch | patch -p1 --verbose || exit 1
+
+PYTHON=/usr/bin/python3 \
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --sysconfdir=/etc \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
--docdir=/usr/doc/$PKGNAM-$VERSION \
--disable-static \
- --with-python=/usr/bin/python \
+ --with-python \
--build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
-python -m compileall "${PKG}$PYTHONLIB"
-python -O -m compileall "${PKG}$PYTHONLIB"
+python3 -m compileall "${PKG}$PYTHON3LIB"
+python3 -O -m compileall "${PKG}$PYTHON3LIB"
# Don't ship .la files:
rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
@@ -153,4 +163,3 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $TMP/libxml2-$VERSION-$ARCH-$BUILD.txz
-